---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab stack save`

Save your progress within a stacked diff. (EXPERIMENTAL.)

## Synopsis

Save your current progress with a diff on the stack.

This feature is experimental. It might be broken or removed without any prior notice.
Read more about what experimental features mean at
<https://docs.gitlab.com/ee/policy/experiment-beta-support.html>

Use experimental features at your own risk.

```plaintext
glab stack save [flags]
```

## Examples

```plaintext
glab stack save added_file
glab stack save . -m "added a function"
glab stack save -m "added a function"
```

## Options

```plaintext
  -d, --description string   Description of the change.
  -m, --message string       Alias for the description flag.
```

## Options inherited from parent commands

```plaintext
      --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
